Debian Bug report logs - #512595
xserver-xorg-video-intel: LVDS screen goes blank on starting X server

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Thu, 22 Jan 2009 02:06:02 UTC

Severity: important

Tags: confirmed, fixed-upstream

Found in version xserver-xorg-video-intel/2:2.3.2-2+lenny5

Fixed in version xserver-xorg-video-intel/2:2.3.2-2+lenny6

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#512595; Package xserver-xorg-video-intel. (Thu, 22 Jan 2009 02:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 22 Jan 2009 02:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-video-intel: LVDS screen goes blank on starting X server
Date: Wed, 21 Jan 2009 18:02:29 -0800
Package: xserver-xorg-video-intel
Version: 2:2.3.2-2+lenny5
Severity: important

My graphic chipset is:
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

I primarily use a VGA monitor as my primary display device. Everything works fine with it. But as soon as I attached a secondary display device (a LVDS 
flat panel) the screen on LVDS goes blank as soon as X servers gets started (gdm kicks in). The VGA display is fine. Also as soon as I hit Alt-F1 to
switch to first console, the display on LVDS comes back.

I also noticed that this problem does not exits on 2.3.2-2+lenny4. Something got changed between 2.3.2-2+lenny4 and 2.3.2-2+lenny5 (the current one which
I am using). So if I copy the intel_drv.so from 2.3.2-2+lenny4 package to my /usr/lib/xorg/modules/drivers/ directory and restart my X, the screen on LVDS is restored properly.


-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-04-23 10:34 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1718484 2009-01-08 19:11 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)

/etc/X11/xorg.conf unchanged from checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1077 2008-04-23 10:34 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 31409 2009-01-21 17:47 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-10)
Current Operating System: Linux sysuser-xp 2.6.24-1-686 #1 SMP Sat Apr 19 00:37:55 UTC 2008 i686
Build Date: 09 January 2009  02:57:16AM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jan 21 17:47:47 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) |-->Input Device "Configured Mouse"
(==) |-->Input Device "Generic Keyboard"
(==) The core pointer device wasn't specified explicitly in the layout.
	Using the first mouse device.
(==) The core keyboard device wasn't specified explicitly in the layout.
	Using the first keyboard device.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/75dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/Type1
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
(II) No APM support in BIOS or kernel
(II) Loader magic: 0x81e38c0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(++) using VT number 7

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3580 card 8086,3580 rev 02 class 06,00,00 hdr 80
(II) PCI: 00:00:1: chip 8086,3584 card 8086,3584 rev 02 class 08,80,00 hdr 00
(II) PCI: 00:00:3: chip 8086,3585 card 8086,3585 rev 02 class 08,80,00 hdr 80
(II) PCI: 00:01:0: chip 8086,3581 card 0000,0000 rev 02 class 06,04,00 hdr 01
(II) PCI: 00:02:0: chip 8086,3582 card 8086,3582 rev 02 class 03,00,00 hdr 80
(II) PCI: 00:1d:0: chip 8086,24c2 card 8086,24cb rev 02 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,24c4 card 8086,24cb rev 02 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,24cd card 8086,24cd rev 02 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 82 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,24c0 card 0000,0000 rev 02 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,24cb card 8086,24cb rev 02 class 01,01,8a hdr 00
(II) PCI: 00:1f:3: chip 8086,24c3 card 8086,24cb rev 02 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,24c5 card 8086,24c5 rev 02 class 04,01,00 hdr 00
(II) PCI: 02:00:0: chip 104c,ac51 card c000,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 02:00:1: chip 104c,ac51 card 1400,0000 rev 00 class 06,07,00 hdr 82
(II) PCI: 02:04:0: chip 8086,1209 card 0000,0000 rev 10 class 02,00,00 hdr 00
(II) PCI: 02:05:0: chip 8086,1209 card 0000,0000 rev 10 class 02,00,00 hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,7), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,10), BCTRL: 0x0000 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x0000c000 - 0x0000cfff (0x1000) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xf0100000 - 0xf01fffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:0:0), (2,3,6), BCTRL: 0x05c0 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x0000c000 - 0x0000c0ff (0x100) IX[B]
	[1] -1	0	0x0000c400 - 0x0000c4ff (0x100) IX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 7: bridge is at (2:0:1), (2,7,10), BCTRL: 0x05c0 (VGA_EN is cleared)
(--) PCI:*(0:2:0) Intel Corporation 82852/855GM Integrated Graphics Device rev 2, Mem @ 0xd8000000/27, 0xf0000000/19, I/O @ 0xf800/3
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xd0000000 from 0xd3ffffff to 0xcfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[1] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[2] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[3] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[4] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[5] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[6] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[7] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[8] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[9] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[10] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[11] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[12] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[13] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[14] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[15] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[16] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[17] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[18] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[19] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[22] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[23] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[1] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[2] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[3] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[4] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[5] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[6] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[7] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[8] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[9] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[10] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[11] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[12] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[13] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[14] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[15] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[16] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[17] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[18] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[19] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[22] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[23] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[5] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[6] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[7] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[8] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[9] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[10] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[11] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[12] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[13] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[14] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[18] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[19] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[20] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[21] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[22] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[23] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[24] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[25] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[27] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[28] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[29] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) Matched intel from file name intel.ids in autoconfig
(==) Matched intel for the autoconfigured driver
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.3.2
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, G35, 965Q, 946GZ,
	965GM, 965GME/GLE, G33, Q35, Q33,
	Mobile IntelĀ® GM45 Express Chipset,
	Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) Primary Device is: PCI 00:02:0
(--) Assigning device section with no busID to primary device
(--) Chipset 852GM/855GM found
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[5] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[6] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[7] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[8] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[9] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[10] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[11] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[12] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[13] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[14] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[18] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[19] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[20] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[21] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[22] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[23] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[24] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[25] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[27] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[28] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[29] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
(II) resource ranges after probing:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[5] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[6] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[7] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[8] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[9] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[10] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[11] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[12] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[13] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[14] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[15] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B]
	[16] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B]
	[17] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B]
	[18] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[19] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[20] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[21] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[22] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[23] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[24] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[25] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[26] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[27] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[28] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[29] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[30] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[31] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[32] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
	[33] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B]
	[34] 0	0	0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vbe"
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules//libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 0.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 855GME
(--) intel(0): Chipset: "852GM/855GM"
(--) intel(0): Linear framebuffer at 0xD8000000
(--) intel(0): IO registers at addr 0xF0000000
(II) intel(0): 2 display pipes available.
(==) intel(0): Using EXA for acceleration
(==) intel(0): Enabling EXA render acceleration
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) intel(0): Output VGA using monitor section Configured Monitor
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "DVODDC_D" initialized.
(II) Loading sub module "sil164"
(II) LoadModule: "sil164"
(II) Loading /usr/lib/xorg/modules/drivers//sil164.so
(II) Module sil164: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) Loading sub module "ch7xxx"
(II) LoadModule: "ch7xxx"
(II) Loading /usr/lib/xorg/modules/drivers//ch7xxx.so
(II) Module ch7xxx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) Loading sub module "ivch"
(II) LoadModule: "ivch"
(II) Loading /usr/lib/xorg/modules/drivers//ivch.so
(II) Module ivch: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_B" initialized.
(II) Loading sub module "tfp410"
(II) LoadModule: "tfp410"
(II) Loading /usr/lib/xorg/modules/drivers//tfp410.so
(II) Module tfp410: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): I2C bus "DVOI2C_B" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) Loading sub module "ch7017"
(II) LoadModule: "ch7017"
(II) Loading /usr/lib/xorg/modules/drivers//ch7017.so
(II) Module ch7017: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVODDC_D" removed.
(II) intel(0): I2C device "CRTDDC_A:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "CRTDDC_A:ddc2" removed.
(II) intel(0): Output VGA connected
(II) intel(0): Output VGA using initial mode 1280x768
(II) intel(0): Monitoring connected displays enabled
(II) intel(0): detected 128 kB GTT.
(II) intel(0): detected 8060 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): Will not try to enable page flipping
(==) intel(0): Triple buffering disabled
(==) intel(0): Intel XvMC decoder disabled
(==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules//libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.3
(II) Loading sub module "exa"
(II) LoadModule: "exa"
(II) Loading /usr/lib/xorg/modules//libexa.so
(II) Module exa: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 2.2.0
	ABI class: X.Org Video Driver, version 2.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"(II) Module "ramdac" already built-in
(II) intel(0): Comparing regs from server start up to After PreInit
(==) Depth 24 pixmap format is 32 bpp
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
	[0] 0	0	0xf0000000 - 0xf007ffff (0x80000) MS[B]
	[1] 0	0	0xd8000000 - 0xdfffffff (0x8000000) MS[B]
	[2] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[3] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[4] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[5] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[6] -1	0	0xf0160000 - 0xf017ffff (0x20000) MX[B]
	[7] -1	0	0xf0140000 - 0xf0140fff (0x1000) MX[B]
	[8] -1	0	0xf0120000 - 0xf013ffff (0x20000) MX[B]
	[9] -1	0	0xf0100000 - 0xf0100fff (0x1000) MX[B]
	[10] -1	0	0xf0080a00 - 0xf0080aff (0x100) MX[B]
	[11] -1	0	0xf0080800 - 0xf00809ff (0x200) MX[B]
	[12] -1	0	0x40000000 - 0x400003ff (0x400) MX[B]
	[13] -1	0	0xf0080000 - 0xf00803ff (0x400) MX[B]
	[14] -1	0	0xd0000000 - 0xcfffffff (0x0) MX[B]O
	[15] -1	0	0xf0000000 - 0xf007ffff (0x80000) MX[B](B)
	[16] -1	0	0xd8000000 - 0xdfffffff (0x8000000) MX[B](B)
	[17] 0	0	0x000a0000 - 0x000affff (0x10000) MS[B](OprD)
	[18] 0	0	0x000b0000 - 0x000b7fff (0x8000) MS[B](OprD)
	[19] 0	0	0x000b8000 - 0x000bffff (0x8000) MS[B](OprD)
	[20] 0	0	0x0000f800 - 0x0000f807 (0x8) IS[B]
	[21] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[22] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[23] -1	0	0x0000c800 - 0x0000c83f (0x40) IX[B]
	[24] -1	0	0x0000cc00 - 0x0000cc3f (0x40) IX[B]
	[25] -1	0	0x0000d000 - 0x0000d03f (0x40) IX[B]
	[26] -1	0	0x0000d400 - 0x0000d4ff (0x100) IX[B]
	[27] -1	0	0x0000d800 - 0x0000d81f (0x20) IX[B]
	[28] -1	0	0x0000dc00 - 0x0000dc0f (0x10) IX[B]
	[29] -1	0	0x00000374 - 0x00000374 (0x1) IX[B]
	[30] -1	0	0x00000170 - 0x00000177 (0x8) IX[B]
	[31] -1	0	0x000003f4 - 0x000003f4 (0x1) IX[B]
	[32] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[33] -1	0	0x0000f000 - 0x0000f01f (0x20) IX[B]
	[34] -1	0	0x0000f400 - 0x0000f41f (0x20) IX[B]
	[35] -1	0	0x0000f800 - 0x0000f807 (0x8) IX[B](B)
	[36] 0	0	0x000003b0 - 0x000003bb (0xc) IS[B](OprU)
	[37] 0	0	0x000003c0 - 0x000003df (0x20) IS[B](OprU)
(II) intel(0): Kernel reported 237824 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 951292 kB available
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 8, (OK)
drmOpenByBusid: drmOpenMinor returns 8
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) [drm] DRM interface version 1.3
(II) [drm] DRM open master succeeded.
(II) intel(0): [drm] Using the DRM lock SAREA also for drawables.
(II) intel(0): [drm] framebuffer mapped by ddx driver
(II) intel(0): [drm] added 1 reserved context for kernel
(II) intel(0): X context handle = 0x1
(II) intel(0): [drm] installed DRM signal handler
(**) intel(0): Framebuffer compression enabled
(**) intel(0): Tiling enabled
(==) intel(0): VideoRam: 131072 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(WW) intel(0): xf86AllocateGARTMemory: allocation of 1536 pages failed
	(Cannot allocate memory)
(WW) intel(0): Allocation error, framebuffer compression disabled
(WW) intel(0): xf86AllocateGARTMemory: allocation of 10 pages failed
	(Cannot allocate memory)
(II) intel(0): Tiled allocation successful.
(II) intel(0): [drm] Registers = 0xf0000000
(II) intel(0): [drm] ring buffer = 0xd8000000
(II) intel(0): [drm] mapped front buffer at 0xd9000000, handle = 0xd9000000
(II) intel(0): [drm] mapped back buffer at 0xdc000000, handle = 0xdc000000
(II) intel(0): [drm] mapped depth buffer at 0xdd000000, handle = 0xdd000000
(II) intel(0): [drm] mapped classic textures at 0xde000000, handle = 0xde000000
(II) intel(0): [drm] Initialized kernel agp heap manager, 33554432
(II) intel(0): [dri] visual configs initialized
(II) intel(0): Page Flipping disabled
(==) intel(0): Write-combining range (0xd8000000,0x8000000)
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) EXA(0): Offscreen pixmap area of 31457280 bytes
(II) EXA(0): Driver registered support for the following operations:
(II)         Solid
(II)         Copy
(II)         Composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): [DRI] installation complete
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x007df000 (pgoffset 2015)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x007e0000 (pgoffset 2016)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x007e4000 (pgoffset 2020)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x007e5000 (pgoffset 2021)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x007e9000 (pgoffset 2025)
(II) intel(0): xf86BindGARTMemory: bind key 5 at 0x01000000 (pgoffset 4096)
(II) intel(0): xf86BindGARTMemory: bind key 6 at 0x02000000 (pgoffset 8192)
(II) intel(0): xf86BindGARTMemory: bind key 7 at 0x04000000 (pgoffset 16384)
(II) intel(0): xf86BindGARTMemory: bind key 8 at 0x05000000 (pgoffset 20480)
(II) intel(0): xf86BindGARTMemory: bind key 9 at 0x06000000 (pgoffset 24576)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x00000000-0x0001ffff: ring buffer (128 kB)
(II) intel(0): 0x00020000-0x00027fff: logical 3D context (32 kB)
(II) intel(0): 0x007df000:            end of stolen memory
(II) intel(0): 0x007df000-0x007dffff: Core cursor (4 kB, 0x0000000030e9c000 physical
)
(II) intel(0): 0x007e0000-0x007e3fff: ARGB cursor (16 kB, 0x0000000036828000 physical
)
(II) intel(0): 0x007e4000-0x007e4fff: Core cursor (4 kB, 0x000000002807e000 physical
)
(II) intel(0): 0x007e5000-0x007e8fff: ARGB cursor (16 kB, 0x0000000032e54000 physical
)
(II) intel(0): 0x007e9000-0x007e9fff: overlay registers (4 kB, 0x0000000030e90000 physical
)
(II) intel(0): 0x01000000-0x01ffffff: front buffer (10240 kB) X tiled
(II) intel(0): 0x02000000-0x03dfffff: exa offscreen (30720 kB)
(II) intel(0): 0x04000000-0x04ffffff: back buffer (10240 kB) X tiled
(II) intel(0): 0x05000000-0x05ffffff: depth buffer (10240 kB) X tiled
(II) intel(0): 0x06000000-0x07ffffff: classic textures (32768 kB)
(II) intel(0): 0x08000000:            end of aperture
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is on
(II) intel(0):   Display plane A is now enabled and connected to pipe A.
(II) intel(0):   Pipe B is off
(II) intel(0):   Display plane B is now disabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe A
(II) intel(0): [drm] dma control initialized, using IRQ 11
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled message.
(II) intel(0): DPMS enabled
(II) intel(0): Set up overlay video
(II) intel(0): direct rendering: Enabled
(--) RandR disabled
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension XAccessControlExtension
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
(II) Initializing built-in extension XEVIE
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(EE) AIGLX error: dlopen of /usr/lib/dri/i915_dri.so failed (/usr/lib/dri/i915_dri.so: cannot open shared object file: No such file or directory)
(EE) AIGLX: reverting to software rendering
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Loading /usr/lib/xorg/modules/extensions//libGLcore.so
(II) Module GLcore: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) GLX: Initialized MESA-PROXY GL provider for screen 0
(II) intel(0): Setting screen physical size to 338 x 203
(WW) Configured Mouse: No Device specified, looking for one...
(II) Configured Mouse: Setting Device option to "/dev/input/mice"
(--) Configured Mouse: Device: "/dev/input/mice"
(==) Configured Mouse: Protocol: "Auto"
(**) Option "CorePointer"
(**) Configured Mouse: always reports core events
(==) Configured Mouse: Emulate3Buttons, Emulate3Timeout: 50
(**) Configured Mouse: ZAxisMapping: buttons 4 and 5
(**) Configured Mouse: Buttons: 9
(**) Configured Mouse: Sensitivity: 1
(**) Option "CoreKeyboard"
(**) Generic Keyboard: always reports core events
(**) Option "Protocol" "standard"
(**) Generic Keyboard: Protocol: standard
(**) Option "AutoRepeat" "500 30"
(**) Option "XkbRules" "xorg"
(**) Generic Keyboard: XkbRules: "xorg"
(**) Option "XkbModel" "pc104"
(**) Generic Keyboard: XkbModel: "pc104"
(**) Option "XkbLayout" "us"
(**) Generic Keyboard: XkbLayout: "us"
(**) Option "CustomKeycodes" "off"
(**) Generic Keyboard: CustomKeycodes disabled
(II) evaluating device (Configured Mouse)
(II) XINPUT: Adding extended input device "Configured Mouse" (type: MOUSE)
(II) evaluating device (Generic Keyboard)
(II) XINPUT: Adding extended input device "Generic Keyboard" (type: KEYBOARD)
(--) Configured Mouse: PnP-detected protocol: "ExplorerPS/2"
(II) Configured Mouse: ps2EnableDataReporting: succeeded


-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libdrm2                       2.3.1-2    Userspace interface to kernel DRM 
ii  xserver-xorg-core             2:1.4.2-10 Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#512595; Package xserver-xorg-video-intel. (Thu, 22 Jan 2009 02:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 22 Jan 2009 02:54:08 GMT) Full text and rfc822 format available.

Message #10 received at 512595@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Kushal Koolwal <kushalkoolwal@hotmail.com>, 512595@bugs.debian.org
Subject: Re: Bug#512595: xserver-xorg-video-intel: LVDS screen goes blank on starting X server
Date: Thu, 22 Jan 2009 03:51:04 +0100
tag 512595 confirmed fixed-upstream pending
kthxbye

On Wed, 2009-01-21 at 18:02 -0800, Kushal Koolwal wrote: 
> My graphic chipset is:
> 00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated Graphics Device (rev 02)
> 
> I primarily use a VGA monitor as my primary display device. Everything works fine with it. But as soon as I attached a secondary display device (a LVDS 
> flat panel) the screen on LVDS goes blank as soon as X servers gets started (gdm kicks in). The VGA display is fine. Also as soon as I hit Alt-F1 to
> switch to first console, the display on LVDS comes back.
> 
> I also noticed that this problem does not exits on 2.3.2-2+lenny4. Something got changed between 2.3.2-2+lenny4 and 2.3.2-2+lenny5 (the current one which
> I am using). So if I copy the intel_drv.so from 2.3.2-2+lenny4 package to my /usr/lib/xorg/modules/drivers/ directory and restart my X, the screen on LVDS is restored properly.

> (II) PCI: 00:02:0: chip 8086,3582 card 8086,3582 rev 02 class 03,00,00 hdr 80

Hi,

thanks for your report.  This is caused by a quirk to ignore the lvds
output on a machine with the same device and subdevice pci ids as yours.
The quirk has subsequently been removed upstream, so we should probably
remove it from the Debian package as well.  I'll prepare an update.

Cheers,
Julien




Tags added: confirmed, fixed-upstream, pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 22 Jan 2009 02:54:09 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 22 Jan 2009 10:12:36 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Thu, 22 Jan 2009 10:13:03 GMT) Full text and rfc822 format available.

Message #17 received at 512595-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 512595-close@bugs.debian.org
Subject: Bug#512595: fixed in xserver-xorg-video-intel 2:2.3.2-2+lenny6
Date: Thu, 22 Jan 2009 10:02:06 +0000
Source: xserver-xorg-video-intel
Source-Version: 2:2.3.2-2+lenny6

We believe that the bug you reported is fixed in the latest version of
xserver-xorg-video-intel, which is due to be installed in the Debian FTP archive:

xserver-xorg-video-i810_2.3.2-2+lenny6_all.deb
  to pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-i810_2.3.2-2+lenny6_all.deb
xserver-xorg-video-intel-dbg_2.3.2-2+lenny6_amd64.deb
  to pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel-dbg_2.3.2-2+lenny6_amd64.deb
xserver-xorg-video-intel_2.3.2-2+lenny6.diff.gz
  to pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.3.2-2+lenny6.diff.gz
xserver-xorg-video-intel_2.3.2-2+lenny6.dsc
  to pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.3.2-2+lenny6.dsc
xserver-xorg-video-intel_2.3.2-2+lenny6_amd64.deb
  to pool/main/x/xserver-xorg-video-intel/xserver-xorg-video-intel_2.3.2-2+lenny6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512595@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xserver-xorg-video-intel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Jan 2009 03:49:01 +0100
Source: xserver-xorg-video-intel
Binary: xserver-xorg-video-intel xserver-xorg-video-intel-dbg xserver-xorg-video-i810
Architecture: source all amd64
Version: 2:2.3.2-2+lenny6
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xserver-xorg-video-i810 - X.Org X server -- Intel i8xx, i9xx display driver
 xserver-xorg-video-intel - X.Org X server -- Intel i8xx, i9xx display driver
 xserver-xorg-video-intel-dbg - X.Org X server -- Intel i8xx, i9xx display driver (debug symbols)
Closes: 512595
Changes: 
 xserver-xorg-video-intel (2:2.3.2-2+lenny6) unstable; urgency=high
 .
   * Remove the Cappuccino SlimPRO SP625F quirk added in -2+lenny5.
     There are machines with the same subdevice ids and an LVDS output
     (closes: #512595).  Thanks, Kushal Koolwal!
Checksums-Sha1: 
 9768b3e0c7b0454c0919146eea3ebeb5ad21802c 1872 xserver-xorg-video-intel_2.3.2-2+lenny6.dsc
 75fa52b0dded6aaf2688d071ce4d3521df131c17 216079 xserver-xorg-video-intel_2.3.2-2+lenny6.diff.gz
 233c5dc95c127193266c372e4bbba3c52bb6751a 185676 xserver-xorg-video-i810_2.3.2-2+lenny6_all.deb
 e20dd97fcd12a3a35ef504ed24507e15c59eacf1 413958 xserver-xorg-video-intel_2.3.2-2+lenny6_amd64.deb
 6dcd91d174927b1b137f92346a1f46a6129b1377 1437522 xserver-xorg-video-intel-dbg_2.3.2-2+lenny6_amd64.deb
Checksums-Sha256: 
 ec5e97092f9d8340009ddab9e5cdcc8466bc3696a04a1c1be2ad0ad961fda8bc 1872 xserver-xorg-video-intel_2.3.2-2+lenny6.dsc
 bccb3d27f3f5de55ec7f57ac6515cb5bda5ffaef9b68e7e28f13b86b400bed81 216079 xserver-xorg-video-intel_2.3.2-2+lenny6.diff.gz
 f15d8271a4f6f4d7d5e3660284f5c7d5f617121914a095f6e8b3d960f4a7ce6f 185676 xserver-xorg-video-i810_2.3.2-2+lenny6_all.deb
 644f318db166084a30d2053f65c3ba06a1103de2cd1554eb05ff8d49744383f4 413958 xserver-xorg-video-intel_2.3.2-2+lenny6_amd64.deb
 bbf67d2962293858a7ed28093d08661b8a8f8a6512b4db599624ad9f9d467e98 1437522 xserver-xorg-video-intel-dbg_2.3.2-2+lenny6_amd64.deb
Files: 
 65cdccaeb6401c1d0ea3ad9f083c9bf1 1872 x11 optional xserver-xorg-video-intel_2.3.2-2+lenny6.dsc
 e064155e4ed82a9557ceb0b5c37b4441 216079 x11 optional xserver-xorg-video-intel_2.3.2-2+lenny6.diff.gz
 b188e77fccde93da27186f2ca04d64ef 185676 oldlibs optional xserver-xorg-video-i810_2.3.2-2+lenny6_all.deb
 ad5ed8849d5fe11e2a243ed2ed9a3301 413958 x11 optional xserver-xorg-video-intel_2.3.2-2+lenny6_amd64.deb
 eacb5e5f98234dfcd59a6eb5a0919473 1437522 x11 extra xserver-xorg-video-intel-dbg_2.3.2-2+lenny6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkl4QGIACgkQmEvTgKxfcAxnbQCfbZr55AlG95yNa7bxOmMV1hky
KmwAoNCJ11eZDeMkA6Bq4WOLn1eWKuSr
=XAKu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Feb 2009 07:38:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:48:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.